Bug 1285258 - [PATCH] Add python3-openbabel subpackage
[PATCH] Add python3-openbabel subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openbabel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 05:07 EST by Tomáš Trnka
Modified: 2016-02-22 04:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 04:28:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to openbabel.spec (3.63 KB, patch)
2015-11-25 05:07 EST, Tomáš Trnka
no flags Details | Diff
Patch to openbabel.spec (fixed a typo) (3.62 KB, patch)
2015-11-25 05:09 EST, Tomáš Trnka
no flags Details | Diff

  None (edit)
Description Tomáš Trnka 2015-11-25 05:07:05 EST
Created attachment 1098650 [details]
Patch to openbabel.spec

Hello,

attached is a (draft) patch that builds the Python 3 bindings to OpenBabel in addition to the Python 2 version. Python 3 is fully supported upstream. I've built the packages in my COPR and they seem to work just fine: 
http://copr.fedoraproject.org/coprs/tootea/earlybird/build/142165/

The patch needs a slight tuning to work on non-x86_64 architectures: currently the  path to the lib64 subdir created by CMake is hardcoded in the setup of BABEL_SYSTEM_LIBRARY, but it should be trivial to come up with an universal solution (I'm just not experienced enough with Fedora spec macros to pick the best approach).

Best regards,

Tomáš Trnka
Comment 1 Tomáš Trnka 2015-11-25 05:09 EST
Created attachment 1098653 [details]
Patch to openbabel.spec (fixed a typo)
Comment 2 Dominik 'Rathann' Mierzejewski 2016-02-18 10:14:23 EST
Thank you for the patch. I'll include this in the next package revision.
Comment 3 Dominik 'Rathann' Mierzejewski 2016-02-22 04:28:59 EST
Done in rawhide. Do you want a backport to F23?
Comment 4 Tomáš Trnka 2016-02-22 04:48:28 EST
Thanks a lot. I don't personally need it for F23 (I'm using the COPR build), so it's up to you.

Note You need to log in before you can comment on or make changes to this bug.